<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jeeplus.sys.mapper.AreaMapper">

    <select id="getAllArea" resultType="com.jeeplus.sys.domain.Area">
        select id,parent_id,parent_ids,name,sort,code,type,create_by_id,create_time,update_by_id,update_time,remarks
        from sys_area where del_flag = '0'
        <if test="name != null and name != ''">
            and name LIKE CONCAT ('%', #{name}, '%')
        </if>
        order by sort asc,parent_id asc
    </select>
</mapper>
